<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Bluetooth/src -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_2fa9f33c88ab044378089e969c1a626c.html">Bluetooth</a></li><li class="navelem"><a class="el" href="dir_c8f1ca8835d12423fce6b5ea6b441cc2.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>src &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in CapabilityAgents/Bluetooth/src</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_462e612fa0184ceceefcdcbebe6a7811.html">Bluetooth</a>&#160;/&#160;<a class="el" href="dir_1a5db821e7d59772f866ab25155da9b7.html">Services</a>&#160;/&#160;<a class="el" href="_a2_d_p_sink_interface_8h.html">A2DPSinkInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_462e612fa0184ceceefcdcbebe6a7811.html">Bluetooth</a>&#160;/&#160;<a class="el" href="dir_1a5db821e7d59772f866ab25155da9b7.html">Services</a>&#160;/&#160;<a class="el" href="_a2_d_p_source_interface_8h.html">A2DPSourceInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_462e612fa0184ceceefcdcbebe6a7811.html">Bluetooth</a>&#160;/&#160;<a class="el" href="dir_1a5db821e7d59772f866ab25155da9b7.html">Services</a>&#160;/&#160;<a class="el" href="_a_v_r_c_p_controller_interface_8h.html">AVRCPControllerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_462e612fa0184ceceefcdcbebe6a7811.html">Bluetooth</a>&#160;/&#160;<a class="el" href="dir_1a5db821e7d59772f866ab25155da9b7.html">Services</a>&#160;/&#160;<a class="el" href="_a_v_r_c_p_target_interface_8h.html">AVRCPTargetInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_mac_address_string_8h.html">MacAddressString.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_namespace_and_name_8h.html">NamespaceAndName.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6eadaab29cdb7047f6853df6d41739df.html">Bluetooth</a>&#160;/&#160;<a class="el" href="_s_d_p_records_8h.html">SDPRecords.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_8cpp.html">Bluetooth.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_fa57286f413a8ff2261f39d3dc5aff6c.html">UUIDGeneration</a>&#160;/&#160;<a class="el" href="_u_u_i_d_generation_8h.html">UUIDGeneration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_a_v_r_c_p_transformer_8cpp.html">BluetoothAVRCPTransformer.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_462e612fa0184ceceefcdcbebe6a7811.html">Bluetooth</a>&#160;/&#160;<a class="el" href="dir_1a5db821e7d59772f866ab25155da9b7.html">Services</a>&#160;/&#160;<a class="el" href="_a_v_r_c_p_target_interface_8h.html">AVRCPTargetInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_bluetooth_a_v_r_c_p_transformer_8cpp.html">BluetoothAVRCPTransformer.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_q_lite_bluetooth_storage_8cpp.html">SQLiteBluetoothStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
